<%@page session="true"%>
<%@ page import="com.edeal.frontline.navigation.*"%>
<%@ page import="com.edeal.frontline.FlContext"%>
<%@ page import="com.edeal.frontline.DataDictionary"%>
<%@ page import="com.edeal.frontline.Utils"%>
<%@ page import="com.edeal.frontline.MetaDataTransferBean"%>
<%@page import="org.apache.commons.lang.StringUtils"%>
<%@page import="com.edeal.frontline.FlLocale"%>
<%@taglib uri="http://www.e-deal.com/taglib/fl" prefix="fl"%>
<%
	FlRequest flRequest = new FlRequest(request);
	FlContext context = flRequest.getContext();
	String id = flRequest.getRequestParameterOrAttribute("id");
	String msg = Utils.getMessage(session, "F0100", false, "La recherche des diffrences est en cours");
	String finalMsg = Utils.getMessage(session, "F0101", false, "La recherche des diffrences s'est termine");
	String countLabel = Utils.getMessage(session, "F3126", false, "Nombre total de diffrences de trouves : ");
	String count = "";
	
	FlLocale locale = FlLocale.getInstance(session);
	String lngRef = locale.getLanguage();
%>
<html>
	<head>
		<script type="text/javascript" src="<fl:webapp/>/js/edeal/libraries/jquery/jquery.js"></script>
		<script type="text/javascript" src="<fl:webapp/>/js/progressbar/jquery.progressbar.min.js"></script>
		
		<script language="javascript">
		$(function () {
			$.ajax({
				   url: "<fl:webapp/>/calc_diffs_run_popup.fl?id=<%= id %>",
				   contentType: "application/json;charset=utf-8",
				   dataType: 'json',
				   success: function(data){
					   // All message updates are handled by getStatus()
				   }
				});
			});

		function closeWindow() {
			window.opener.location = window.opener.location.href;
			window.close();
		};
		
		var progress = 0;
		$(document).ready(function(){			
			$("#pbar").progressBar(progress, { showText: true, boxImage	: '<fl:webapp/>/js/progressbar/images/progressbar.gif', barImage: '<fl:webapp/>/js/progressbar/images/progressbg_blue.gif'} );			
		});

		setTimeout("getStatus();", 1000);	
		
		function getStatus(){
			$.getJSON("<fl:webapp/>/get_transfer_status.fl",
				function(data) {
					if(data.Count == ''||data.Count == '0'){
						$('#count').html('');
						$('#countlabel').html('');
					}else{
					$('#count').html(data.Count);	
					$('#countlabel').html("<%=countLabel%>");
					}				
					if(data.Status == 'UNKNOWN' || data.Status == ''){
						$('#pbar').progressBar(data.Evolution);
						$('#detail').html(data.Message);
						setTimeout("getStatus();",1000);return false;
					}else if(data.Status == 'KO'){
						$("#message").html("<%=finalMsg%>");
						$('#pbar').hide();
						$('#pbarcontainer').append('  <img src=<fl:webapp/>/js/progressbar/images/failure.png />');
						$('#detail').html(data.Message);
						$('#count').html('');
						$('#countlabel').html('');
					}else if(data.Status == 'OK'){
						$("#message").html("<%=finalMsg%>");
						$('#pbar').hide();
						$('#pbarcontainer').append('  <img src=<fl:webapp/>/js/progressbar/images/success.png />');
						$('#detail').html('');
					}
				}
			);
		}	
	</script>
	</head>
	<body>
		<div id="object_css" style="top: 0px; left: 0px; height: 100%;">
			<fl:bigTabs objectTitle="<%= Utils.getMessage(session, \"F0102\", \"Trouver diffrences\") %>">
				<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/common_css.jsp">
				<link rel="stylesheet" type="text/css" href="<fl:webapp/>/css/master_css.jsp">
				
				<table class="container" cellpadding="0" width="100%">
					<tr>
						<td class="dataValue" style="vertical-align: top; width: 100%">
							<span id="message"><%= msg %></span>
							<div id="container">	
								<table>
									<tr><td valign="top"><span class="progressBar" style="vertical-align: bottom;" id="pbar"/></span><span id="pbarcontainer"></span></td></tr>
								</table>
							</div>
							<br/>
							<span id="detail"></span>	
							<br/>
							<br/>
							<span id="countlabel"></span><span id="count"><%= count %></span>
						</td>
					</tr>
				</table>
			</fl:bigTabs>		
			<div style="width: 100%;text-align: center;">
				<br> 
				<a href="javascript:closeWindow();" title="<fl:getMessage code="A3035" alt="Fermer"/>"><img src="<fl:link url="/icons/ico/fermer_red_long.gif"/>" ></a>
			</div>			
		</div>
	</body>
</html>